package routers

import (
	"github.com/gin-gonic/gin"
	ginSwagger "github.com/swaggo/gin-swagger"
	"github.com/swaggo/gin-swagger/swaggerFiles"
	v1_router "system_pay/router/v1"
)

// InitRouter 注册路由
func InitRouter() *gin.Engine {

	if gin.Mode() == gin.ReleaseMode {
		gin.SetMode(gin.ReleaseMode) // gin设置成发布模式
	}

	r := gin.Default()


	//  测试与开发状态启用swagger
	if gin.Mode() == gin.TestMode || gin.Mode() == gin.DebugMode {
		r.GET("/swagger/*any", ginSwagger.WrapHandler(swaggerFiles.Handler))
	}

	// 发布后禁用swagger
	if gin.Mode() == gin.ReleaseMode {
		r.GET("/swagger/*any", ginSwagger.DisablingWrapHandler(swaggerFiles.Handler, "NAME_OF_ENV_VARIABLE"))
	}

	// 拉卡拉统一支付
	v1_router.PayRouter(r)

	// 登录
	//v1_router.LoginRouter(r)

	// 注册
	//v1_router.RegisterRouter(r)

	// 上传
	//v1_router.UploadRouter(r)

	// v1版本接口
	//v1 := r.Group("/api/v1")
	//v1.Use(jwt.JWTAuthMiddleWare())
	//{
	//	// 全国快递物流
	//	v1_router.ExpressRouter(v1)
	//
	//	// 谛宝多多账号
	//	v1_router.MemberRouter(v1)
	//
	//	// 采购订单
	//	v1_router.PurchaseOrderRouter(v1)
	//
	//	// 数据概览
	//	//v1_router.DataOverview(v1)
	//	//
	//	//// 顾客分析
	//	//v1_router.CustomerAnalysisRouter(v1)
	//	//
	//	//// 会员卡分析
	//	//v1_router.MembershipCardAnalysis(v1)
	//	//
	//	//// 次卡分析
	//	//v1_router.SecondaryCardAnalysis(v1)
	//	//
	//	//// 医疗消费
	//	//v1_router.MedicalConsumptionAnalysis(v1)
	//	//
	//	//// 病历量分析
	//	//v1_router.MedicalRecordsAnalysis(v1)
	//	//
	//	//// 商品分析
	//	//v1_router.CommodityAnalysis(v1)
	//	//
	//	//// 员工分析
	//	//v1_router.EmployeeAnalysis(v1)
	//	//
	//	//// 支付相关
	//	//v1_router.PayMoney(v1)
	//	//
	//	//// 埋点
	//	//v1_router.BuriedPoint(v1)
	//}
	return r
}
